#declare PIECE1=union {
 box { <0,0,-0.2>, <1,0.04,0.2>
        texture {
          pigment { image_map { gif "radar.gif" interpolate 2 } }
          finish { specular 1 roughness 0.1 reflection 0.5 }
          scale 0.2 rotate x*90
        }
        rotate <7,0,0>
        hollow
 }
 cylinder { 0, <0,0.2,0>, 0.02
   pigment { color rgb <0,0,1> }
   finish { ambient 0.8 diffuse 0.2 }
   translate <0.9,0,0>
  }
  cylinder { 0, <0,0.3,0>, 0.02
   pigment { color rgb <0,0,1> }
   finish { ambient 0.8 diffuse 0.2 }
   rotate 7*z
   translate <0.9,0.18,0>
  } 
} //piece 1

#declare DUSE=object {
cylinder { 0, <0,1,0>, 1
 hollow
 texture
 {
  pigment { color rgbt <1,1,1,1>}
  halo {
    emitting
    linear
    cylindrical_mapping
    turbulence 0.5
    color_map {
        [ 0 color rgbt <1, 0, 1, 1> ]
        [ 1 color rgbt <0.5, 0.7, 1, -0.5> ]
    }
    samples 10
  }//halo
 }//texture
 scale <0.4,0.1,0.4>
 rotate 90*z
}// cylinder
}


union {
#declare aa=0
#while (aa<360)
 object { PIECE1 rotate <0,0,20> rotate <0,aa,0> }
 #declare aa=aa+20
#end


// 3D curved FINITE (no CSG) surface created from a mesh of triangles

// rotate a 2-D outline of points around the Y axis to create a 3-D shape
lathe {
  linear_spline
  6, // number of points
  <0, 0>, <0.2,0>, <0.5,0.33>, <0.5,0.66>, <0.2,1>, <0,1> // the list of <u,v> points
  texture {
    pigment { /*color rgb <0.4,0.4,0.8>*/
       image_map { gif "rad2.gif" map_type 2}
    }
    //finish { specular 1 roughness 0.1 reflection 0.5 }
  }
  translate <0,-1,0>
  hollow
}

object {DUSE translate <0,-1.1,0>}
light_source {
   <0, -1.2, 0>
   color rgb <1, 0, 1>
   fade_distance 10
   fade_power 3
   shadowless
  }

//laser
cylinder {
 0, <0,1,0>, 1
 hollow
 texture {
  pigment { color rgbt<1, 1, 1, 1> }
  halo
  {
   emitting
   cylindrical_mapping
   linear
   colour_map
    {
     [ 0 color rgbt <0, 0, 1, 1> ]
     [ 1 color rgbt <0, 1, 1, -1> ]
   }
   samples 10
   aa_level 5
   aa_threshold 0.3
   jitter 0.8
   }
 }
 scale <0.02,2.6,0.02>
}
//center
sphere { 0, 0.3
  texture {
      pigment { color rgbf <0.93, 0.98, 0.93, 0.87> }
      finish  { ambient 0.1 diffuse 0.1 reflection 0.4  refraction 1
                ior 1.45    specular 0.8  roughness 0.003
                phong 1  phong_size 400
              }
  }
  hollow
  translate <0,0.2,0>
}

//blue cloud
sphere { <0,0,0>, 1
    pigment { color rgbt <1, 1, 1, 1> }
    halo {
      emitting
      spherical_mapping
      linear
      turbulence 1.5
      color_map {
        [ 0 color rgbt <0, 0, 1, 1> ]
        [ 1 color rgbt <0, 1, 1, 0.2> ]
      }
      samples 20
      aa_level 5
      aa_threshold 0.05
      jitter 0.6
    }
   hollow
   rotate <0,60,0>
   translate <0,3,0>
}

//Blue lightbody
sphere { <0,0,0>, 0.4
 pigment { color rgbt <1, 1, 1, 1> }
 halo {
      emitting
      spherical_mapping
      turbulence 0.2
      linear
      color_map {
        [ 0 color rgbt <0, 0, 1, 1> ]
        [ 1 color rgbt <0, 1, 1, -0.2> ]
      }
      samples 20
      aa_level 5
      jitter 0.6
    }
    hollow
    translate <0,3,0>
}

//Light-Beam
light_source {
   <0, 3, 0>
   color rgb <0.5, 0.9, 1>
   spotlight
   point_at <0,0,0>
   radius 4
   falloff 7
  }

 rotate -12*z 
 translate <X3,Y3,Z3>
} // unioon  
